gr::dab::magnitude_equalizer_vcc_impl Class Reference

`#include <magnitude_equalizer_vcc_impl.h>`

Inheritance diagram for gr::dab::magnitude_equalizer_vcc_impl:
[legend]

## Public Member Functions

| magnitude_equalizer_vcc_impl (unsigned int vlen, unsigned int num_symbols)
| ~magnitude_equalizer_vcc_impl (void)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::magnitude_equalizer_vcc
typedef std::shared_ptr< magnitude_equalizer_vcc > | sptr
Static Public Member Functions inherited from gr::dab::magnitude_equalizer_vcc
static sptr | make (unsigned int vlen, unsigned int num_symbols)
| Return a shared_ptr to a new instance of dab::magnitude_equalizer_vcc.

## Constructor & Destructor Documentation

## magnitude_equalizer_vcc_impl()

gr::dab::magnitude_equalizer_vcc_impl::magnitude_equalizer_vcc_impl | ( | unsigned int | vlen,
|  | unsigned int | num_symbols )

## ~magnitude_equalizer_vcc_impl()

gr::dab::magnitude_equalizer_vcc_impl::~magnitude_equalizer_vcc_impl | ( | void |  | ) |

## Member Function Documentation

## work()

int gr::dab::magnitude_equalizer_vcc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- magnitude_equalizer_vcc_impl.h